org.keycloak.models.sessions.jpa.entities

## Class ClientSessionNoteEntity

- java.lang.Object
- - org.keycloak.models.sessions.jpa.entities.ClientSessionNoteEntity

-     @Entity
      public class ClientSessionNoteEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientSessionNoteEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientSessionEntity` | `clientSession`
    `protected String` | `name`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionNoteEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionEntity` | `getClientSession()`
    `String` | `getName()`
    `String` | `getValue()`
    `void` | `setClientSession(ClientSessionEntity clientSession)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientSession

          protected ClientSessionEntity clientSession

    - #### name

          protected String name

    - #### value

          protected String value

  - ### Constructor Detail

    - #### ClientSessionNoteEntity

          public ClientSessionNoteEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getClientSession

          public ClientSessionEntity getClientSession()

    - #### setClientSession

          public void setClientSession(ClientSessionEntity clientSession)

Copyright © 2015. All Rights Reserved.